Skip to content

抖音电商商品详情 API (V2) ​

GET
接口健康状态
健康 可用 少量可用 基本不可用 暂无数据
正在加载健康状态…

通过商品ID获取抖音电商商品详情。用于在目录或商品研究中检查已知的市场商品。

使用提示 ​

支持能力

此接口包含商品销售数据。

请求参数 ​

参数名位置类型必填默认值说明
tokenquerystring是-此 API 服务的访问令牌。
itemIdquerystring是-抖音电商上商品的唯一ID。

代码示例 ​

bash
curl --max-time 120 -X GET 'https://api.justoneapi.com/api/douyin-ec/get-item-detail/v2?token=YOUR_API_KEY&itemId=VALUE'
text
我想使用 JustOneAPI 提供的“商品详情 (V2)”接口。
接入地址: https://api.justoneapi.com。
接口路径: /api/douyin-ec/get-item-detail/v2?token=YOUR_API_KEY&itemId=VALUE
接口地址: BASE_URL + /api/douyin-ec/get-item-detail/v2?token=YOUR_API_KEY&itemId=VALUE
HTTP 方法: GET
身份验证: 在 URL 中传入 token 查询参数。
OpenAPI 定义: https://docs.justoneapi.com/openapi/douyin-e-commerce/item-details-v2-zh.json

请求参数说明:
- token (query): 此 API 服务的访问令牌。 (必填)
- itemId (query): 抖音电商上商品的唯一ID。 (必填)

返回格式: 请根据实际 Content-Type 安全处理 JSON 或文本响应。

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为 120 秒;如果 120 秒偏长,请至少设置为 60 秒,但可能会有少量请求因超时而未接收到结果。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 账户余额不足
   - 602: TOKEN 限额超限
4. code 601 表示账户共享余额不足。code 602 表示当前 API TOKEN 自身的累计消费上限已达到。TOKEN 限额不是资金划拨,多个 TOKEN 仍共享同一个账户余额。

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
import requests

BASE_URL = "https://api.justoneapi.com"  # 由 OpenAPI servers 提供

url = BASE_URL + "/api/douyin-ec/get-item-detail/v2?token=YOUR_API_KEY&itemId=VALUE"
response = requests.get(url, timeout=120)
print(response.status_code)
if response.content:
    content_type = response.headers.get("content-type", "").lower()
    if "json" in content_type:
        try:
            print(response.json())
        except ValueError:
            print(response.text)
    elif content_type.startswith("text/") or "xml" in content_type or content_type.split(";", 1)[0].strip() in {"application/javascript", "application/x-www-form-urlencoded", "application/graphql"}:
        print(response.text)
    else:
        with open("response.bin", "wb") as output:
            output.write(response.content)
        print(f"Saved {len(response.content)} bytes to response.bin")
js
const BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
const url = BASE_URL + "/api/douyin-ec/get-item-detail/v2?token=YOUR_API_KEY&itemId=VALUE";

const response = await fetch(url, {
  method: "GET",
  signal: AbortSignal.timeout(120000)
});
console.log(response.status);
const responseBytes = await response.arrayBuffer();
if (responseBytes.byteLength) {
  const contentType = (response.headers.get("content-type") || "").toLowerCase();
  const mediaType = contentType.split(";", 1)[0].trim();
  const textual = contentType.startsWith("text/") || contentType.includes("json") || contentType.includes("xml") || ["application/javascript", "application/x-www-form-urlencoded", "application/graphql"].includes(mediaType);
  if (textual) {
    const responseText = new TextDecoder().decode(responseBytes);
    let data = responseText;
    if (contentType.includes("json")) {
      try { data = JSON.parse(responseText); } catch { /* Keep the raw body. */ }
    }
    console.log(data);
  } else {
    console.log(`Received ${responseBytes.byteLength} binary bytes`);
  }
}
java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.time.Duration;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Path;

public class Main {
    public static void main(String[] args) throws Exception {
        final String BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
        final String url = BASE_URL + "/api/douyin-ec/get-item-detail/v2?token=YOUR_API_KEY&itemId=VALUE";

        HttpClient client = HttpClient.newBuilder().connectTimeout(Duration.ofSeconds(120)).build();
        HttpRequest.Builder builder = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .timeout(Duration.ofSeconds(120))
            .method("GET", HttpRequest.BodyPublishers.noBody());

        HttpRequest request = builder.build();

        HttpResponse<byte[]> response = client.send(request, HttpResponse.BodyHandlers.ofByteArray());
        System.out.println(response.statusCode());
        String contentType = response.headers().firstValue("content-type").orElse("").toLowerCase();
        String mediaType = contentType.split(";", 2)[0].trim();
        if (contentType.startsWith("text/") || contentType.contains("json") || contentType.contains("xml") || mediaType.equals("application/javascript") || mediaType.equals("application/x-www-form-urlencoded") || mediaType.equals("application/graphql")) {
            System.out.println(new String(response.body(), StandardCharsets.UTF_8));
        } else {
            Files.write(Path.of("response.bin"), response.body());
            System.out.println("Saved " + response.body().length + " bytes to response.bin");
        }
    }
}
go
package main

import (
	"fmt"
	"io"
	"os"
	"strings"
	"net/http"
	"time"
)

const BASE_URL = "https://api.justoneapi.com" // 由 OpenAPI servers 提供

func main() {
	client := &http.Client{Timeout: 120 * time.Second}
	url := BASE_URL + "/api/douyin-ec/get-item-detail/v2?token=YOUR_API_KEY&itemId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	fmt.Println(resp.StatusCode)
	bodyBytes, _ := io.ReadAll(resp.Body)
	contentType := strings.ToLower(resp.Header.Get("Content-Type"))
	mediaType := strings.TrimSpace(strings.SplitN(contentType, ";", 2)[0])
	if strings.HasPrefix(contentType, "text/") || strings.Contains(contentType, "json") || strings.Contains(contentType, "xml") || mediaType == "application/javascript" || mediaType == "application/x-www-form-urlencoded" || mediaType == "application/graphql" {
		fmt.Println(string(bodyBytes))
	} else {
		os.WriteFile("response.bin", bodyBytes, 0600)
		fmt.Printf("Saved %d bytes to response.bin\n", len(bodyBytes))
	}
}
php
<?php
$BASE_URL = 'https://api.justoneapi.com'; // 由 OpenAPI servers 提供
$url = $BASE_URL . '/api/douyin-ec/get-item-detail/v2?token=YOUR_API_KEY&itemId=VALUE';

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_TIMEOUT, 120);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
$contentType = strtolower((string) curl_getinfo($ch, CURLINFO_CONTENT_TYPE));
curl_close($ch);
echo $status . PHP_EOL;
$mediaType = trim(explode(';', $contentType, 2)[0]);
if (str_starts_with($contentType, 'text/') || str_contains($contentType, 'json') || str_contains($contentType, 'xml') || in_array($mediaType, ['application/javascript', 'application/x-www-form-urlencoded', 'application/graphql'], true)) {
    echo $response;
} else {
    file_put_contents('response.bin', $response);
    echo 'Saved ' . strlen($response) . ' bytes to response.bin' . PHP_EOL;
}

返回字段 ​

业务成功时(code = 0)的主要返回字段。

商品标识3 个字段

data

抖音电商商品详情,以及随响应返回的店铺信息和服务标签。

字段类型说明
product_idstring抖音电商商品本身的 ID。
promotion_idstring本次查询返回的推广 ID,可能与请求的 itemId 相同。
item_typeinteger平台返回的商品类型代码。
商品基础信息10 个字段

data.model.product

商品的结构化信息。

字段类型说明
product_baseobject商品基础信息与图片。
product_base.titlestring商品标题。
product_base.coverstring商品封面图片地址。
product_base.imagesarray商品图片地址列表。
product_base.images[]string一张商品图片的地址。
product_base.white_backgroundstring商品白底图地址。
product_base.big_imgsarray商品大图列表中的图片地址。
product_base.big_imgs[]string大图列表中的一张图片的地址。
product_base.is_global_shopingboolean商品是否带有抖音全球购标记。
product_base.is_sui_xin_tuiboolean商品是否带有随心推标记。
销量与好评率10 个字段

data.model.product

字段类型说明
product_salesobject商品销量字段和展示标签。
product_sales.product_labelobject包含数字及展示文案的商品销量标签。
product_sales.product_label.sales_numinteger商品标签中的数字销量。
product_sales.product_label.sales_textstring商品标签中的销量展示文案。
product_sales.sell_numinteger返回的商品销量。
product_sales.total_salesinteger返回的商品总销量。
product_commentobject商品好评率及其展示标签。
product_comment.good_rationumber以数字返回的好评率,83.6 表示 83.6%。展示文案可能对数值取整或保留较少的小数位。
product_comment.comment_labelobject商品评价指标的展示标签。
product_comment.comment_label.good_ratiostring用于展示的好评率文本。
商品权益11 个字段

data.model.product.product_privilege

商品展示的权益与服务承诺。

字段类型说明
privilege_info_labelobject商品权益的展示信息。
privilege_info_label.privilege_idinteger商品权益组的标识。
privilege_info_label.privilege_info_detailarray商品展示的权益列表。
privilege_info_label.privilege_info_detail[]object一项商品权益。
privilege_info_label.privilege_info_detail[].tag_idstring此权益的标签 ID。
privilege_info_label.privilege_info_detail[].titlestring此权益的展示标题。
privilege_info_label.privilege_info_detail[].contentstring此权益的展示说明。
privilege_info_label.privilege_info_detail[].iconobject此权益的展示图标。
privilege_info_label.privilege_info_detail[].icon.url_listarray权益图标的图片地址列表。
privilege_info_label.privilege_info_detail[].icon.url_list[]string此权益图标的一条图片地址。
privilege_info_label.privilege_info_detail[].linkstring此权益附带的抖音应用内跳转链接,可能省略。
店铺信息5 个字段

data.model.shop

商品所属店铺的信息。

字段类型说明
shop_idstring抖音电商店铺 ID。
shop_baseobject店铺基础信息。
shop_base.shop_namestring店铺展示名称。
shop_base.shop_logostring店铺标志图片地址。
shop_base.platform_sourceinteger平台返回的店铺来源代码。
辅助模块状态14 个字段

data.model

商品、店铺与辅助模块信息。

字段类型说明
promotion_dataobject推广模块状态。
promotion_data.codeinteger此模块返回的状态码。
comment_dataobject评论模块状态。
comment_data.codeinteger此模块返回的状态码。
author_dataobject作者模块状态。
author_data.codeinteger此模块返回的状态码。
content_dataobject内容模块状态。
content_data.codeinteger此模块返回的状态码。
hot_content_dataobject热门内容模块状态。
hot_content_data.codeinteger此模块返回的状态码。
shop_product_dataobject店铺商品模块状态。
shop_product_data.codeinteger此模块返回的状态码。
material_dataobject素材模块状态。
material_data.codeinteger此模块返回的状态码。
服务标签2 个字段

data.label

商品相关的展示标签。

字段类型说明
service_moduleobject商品展示的服务模块。
service_module.module_listarray服务模块列表。
服务模块标题9 个字段

data.label.service_module.module_list[]

一项展示的服务模块。

字段类型说明
module_typestring服务模块的类型标识。
titleobject服务模块的展示标题。
title.title_listarray组成模块标题的展示片段列表。
title.title_list[]object模块标题中的一个展示片段。
title.title_list[].rich_textobject标题片段的富文本信息。
title.title_list[].rich_text.rich_text_typeinteger富文本片段的类型代码。
title.title_list[].rich_text.textobject富文本片段中的文本对象。
title.title_list[].rich_text.text.textstring标题片段中的展示文本。
title.title_list[].suffix_typeinteger此展示项的后缀类型代码。
服务模块详情13 个字段

data.label.service_module.module_list[].content

服务模块的展示详情。

字段类型说明
content_listarray服务模块详情中的展示项列表。
content_list[]object服务模块详情中的一个展示项。
content_list[].content_typestring展示项的类型标识。
content_list[].contentobject此展示项的具体内容。
content_list[].content.title_listarray展示内容的标题片段列表。
content_list[].content.title_list[]object一个展示标题片段。
content_list[].content.title_list[].rich_textobject内容标题片段的富文本信息。
content_list[].content.title_list[].rich_text.rich_text_typeinteger富文本片段的类型代码。
content_list[].content.title_list[].rich_text.textobject富文本片段中的文本对象。
content_list[].content.title_list[].rich_text.text.textstring内容标题片段中的展示文本。
content_list[].content.title_list[].rich_text.text.font_colorstring文字颜色值,可能为空字符串。
content_list[].content.title_list[].suffix_typeinteger此展示项的后缀类型代码。
content_list[].suffix_typeinteger此展示项的后缀类型代码。

响应示例 ​

正在加载响应示例…